Uploaded image for project: 'Maven'
  1. Maven
  2. MNG-5780

upgrade Java minimum version prerequisite from Java 6 to Java 7

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.2.5
    • Fix Version/s: 3.3.1
    • Component/s: None
    • Labels:
      None

      Issue Links

        Activity

        Hide
        hudson Hudson added a comment - - edited

        SUCCESS: Integrated in maven-3.x #1084 (See https://builds.apache.org/job/maven-3.x/1084/)
        MNG-5780 upgrade Java minimum version prerequisite from Java 6 to Java 7 (rfscholte: rev 36b8a6d562ed5a1ce99eb07a8619fbbb5c3d3809)

        • build.xml
        Show
        hudson Hudson added a comment - - edited SUCCESS: Integrated in maven-3.x #1084 (See https://builds.apache.org/job/maven-3.x/1084/ ) MNG-5780 upgrade Java minimum version prerequisite from Java 6 to Java 7 (rfscholte: rev 36b8a6d562ed5a1ce99eb07a8619fbbb5c3d3809 ) build.xml
        Hide
        hboutemy Hervé Boutemy added a comment -

        upgrade done in pom.xml in rev 07b8477b9740d50e50f035ab66fba66d02670510 (2015-03) for Maven 3.3.1, which is the first version requiring Java 7

        build.xml only updated in rev 36b8a6d562ed5a1ce99eb07a8619fbbb5c3d3809 (2015-06) for Maven 3.3.9 (2015-11), to be consistent when building Maven with Ant instead of Maven

        Show
        hboutemy Hervé Boutemy added a comment - upgrade done in pom.xml in rev 07b8477b9740d50e50f035ab66fba66d02670510 (2015-03) for Maven 3.3.1, which is the first version requiring Java 7 build.xml only updated in rev 36b8a6d562ed5a1ce99eb07a8619fbbb5c3d3809 (2015-06) for Maven 3.3.9 (2015-11), to be consistent when building Maven with Ant instead of Maven

          People

          • Assignee:
            jvanzyl Jason van Zyl
            Reporter:
            hboutemy Hervé Boutemy
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development